EUCA-MODIFY-INSTANCE-TYPE(1)

NAME
euca-modify-instance-type - [Eucalyptus cloud admin only] Modify an instance type

SYNOPSIS
euca-modify-instance-type [-c COUNT] [-d GB] [-m MB] [--reset] [--show-empty-fields] [--region USER@REGION | -U URL] [-I KEY_ID] [-S KEY] [--debug] [--debugger] [--version] [-h] INSTANCETYPE

DESCRIPTION
[Eucalyptus cloud admin only] Modify an instance type

  positional arguments:

INSTANCETYPE
    name of the instance type to modify (required)

  optional arguments:

-c COUNT, --cpus COUNT
    number of virtual CPUs to allocate to each instance

-d GB, --disk GB
    amount of instance storage to allow each instance

-m MB, --memory MB
    amount of RAM to allocate to each instance

--reset
    reset the instance type to its default configuration

--show-empty-fields
    show empty values as "(nil)"

--region USER@REGION
    name of the region and/or user in config files to use to connect to the service

-U URL, --url URL
    compute service endpoint URL

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit